package saaj_klient.countries;

import jakarta.xml.soap.*;

import javax.xml.namespace.QName;
import java.io.IOException;

public class GetCountryInfo {

    public static void main(String[] args) {
        String szukanyKraj = "PL";
        final String NS = "http://www.oorsprong.org/websamples.countryinfo";

        try {
            MessageFactory mf = MessageFactory.newInstance();
            SOAPMessage request = mf.createMessage();
            SOAPBody requestBody = request.getSOAPBody();
            SOAPBodyElement fullCountryInfo = requestBody.addBodyElement(new QName(NS, "FullCountryInfo"));
            SOAPElement parametr = fullCountryInfo.addChildElement(new QName(NS, "sCountryISOCode"));
            parametr.setTextContent(szukanyKraj);

            System.out.println("Zapytanie:");
            request.writeTo(System.out);


        } catch (SOAPException | IOException e) {
            e.printStackTrace();
        }
    }
}
